/***************************************************************************
                          sll.h  -  description
                             -------------------
    begin                : 04.02.04
    copyright            : (C) 2004 by Pablo Yanez Trujillo
    email                : rex@supertux.homelinux.org
    Version			: 1.0.2
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SLL_H
#define SLL_H

#include "common.h"

typedef struct TREE_S {
  char name[MAX_LENGTH];
  int id;
  int empty;
  struct TREE_S* next;
} TREE;

TREE* createTREE(TREE** tree);
void killTREE(TREE* tree);
int haveName(TREE* tree, const char* name);
char* getname(TREE* tree, int id);
int addElement(TREE* tree, const char* name, int id);





#endif
